{
    "type": "object",
    "properties": {
	"proc_state": {
	    "enum": ["starting", "running", "media_loaded", "restarting", "stop", "suspended"]
	},
	"media_state": {
	    "enum": ["load", "unload", "play", "pause", "stop"]
	},
	"seek_pos": {
	    "type": "integer"
	},
	"args": {
	    "type": "array"
	},
	"subscription": {
	    "type": "boolean"
	},
	"setPlayRate": {
	    "type": "object",
	    "properties": {
		"playRate": {"type": "number"},
		"audioOutput": {"type": "boolean"}
	    }
	},
	"selectTrack": {
	    "type": "object",
	    "properties": {
		"type": {"type": "string"},
		"index": {"type": "integer"}
	    }
	},
	"loadCompleted": {
	    "type": "object",
	    "properties": {
		"state": {"type": "boolean"},
		"mediaId": {"type": "string"}
	    }
	},
	"unloadCompleted": {
	    "type": "object",
	    "properties": {
		"state": {"type": "boolean"},
		"mediaId": {"type": "string"}
	    }
	},
	"trackSelected": {
	    "type": "object",
	    "properties": {
		"type": {"type": "string"},
		"index": {"type": "integer"},
		"mediaId": {"type": "string"}
	    }
	},
	"playing": {
	    "type": "object",
	    "properties": {
		"state": {"type": "boolean"},
		"mediaId": {"type": "string"}
	    }
	},
	"paused": {
	    "type": "object",
	    "properties": {
		"state": {"type": "boolean"},
		"mediaId": {"type": "string"}
	    }
	},
	"seekDone": {
	    "type": "object",
	    "properties": {
		"state": {"type": "boolean"},
		"mediaId": {"type": "string"}
	    }
	},
	"bufferingStart": {
	    "type": "object",
	    "properties": {
		"state": {"type": "boolean"},
		"mediaId": {"type": "string"}
	    }
	},
	"bufferingEnd": {
	    "type": "object",
	    "properties": {
		"state": {"type": "boolean"},
		"mediaId": {"type": "string"}
	    }
	},
	"bufferRange": {
	    "type": "object",
	    "properties": {
		"beginTime": {"type": "integer"},
		"endTime": {"type": "integer"},
		"remainingTime": {"type": "integer"},
		"percent": {"type": "integer"},
		"mediaId": {"type": "string"}
	    }
	},
	"videoFrame": {
	    "type": "object",
	    "properties": {
		"valid": {"type": "boolean"},
		"mediaId": {"type": "string"}
	    }
	},
	"videoInfo": {
	    "type": "object",
	    "properties": {
		"width": {"type": "integer"},
		"height": {"type": "integer"},
		"aspectRatio": {"type": "string"},
		"frameRate": {"type": "number"},
		"mode3D": {"type": "string"},
		"mediaId": {"type": "string"}
	    }
	},
	"audioInfo": {
	    "type": "object",
	    "properties": {
		"sampleRate": {"type": "number"},
		"channels": {"type": "integer"},
		"mediaId": {"type": "string"}
	    }
	},
	"error": {
	    "type": "object",
	    "properties": {
		"errorCode": {"type": "integer"},
		"errorText": {"type": "string"},
		"mediaId": {"type": "string"}
	    }
	},
	"recordInfo": {
	    "type": "object",
	    "properties": {
		"recordState": {"type": "boolean"},
		"elapsedMiliSecond": {"type": "integer"},
		"bitRate": {"type": "integer"},
		"fileSize": {"type": "integer"},
		"fps": {"type": "integer"},
		"mediaId": {"type": "string"}
	    }
	},
	"serviceName": {
	    "type": "string"
	},
	"returnValue": {
	    "type": "boolean"
	},
	"currentTime": {
	    "type": "object",
	    "properties": {
		"currentTime": {"type": "integer"},
		"mediaId": {"type": "string"}
	    }
	},
	"snapshotDone": {
	    "type": "object",
	    "properties": {
		"state": {"type": "boolean"},
		"mediaId": {"type": "string"}
		}
	},
	"fileGenerated": {
	    "type": "object",
	    "properties": {
		"state": {"type": "boolean"},
		"mediaId": {"type": "string"}
		}
	},
	"startCameraRecord": {
		"type": "object",
		"properties": {
			"location": {"type": "string"},
			"format": {"type": "string"},
			"audio": {"type": "boolean"},
			"audioSrc" : {"type": "string"}
		}
	},
	"takeCameraSnapshot": {
		"type": "object",
		"properties": {
			"location": {"type": "string"},
			"format": {"type": "string"},
			"width": {"type": "integer"},
			"height": {"type": "integer"},
			"pictureQuality": {"type": "integer"}
		}
	},
	"endOfStream": {
	    "type": "object",
	    "properties": {
		"state": {"type": "boolean"},
		"mediaId": {"type": "string"}
	    }
	}
    }
}
